Wifi cannot connect or unstable after suspend 14.04

Bug #1311257 reported by Emily Roth on 2014-04-22
280
This bug affects 63 people
Affects Status Importance Assigned to Milestone
gnome-nettool (Ubuntu)
Undecided
Unassigned

Bug Description

I've tried every solution, such as
1. editing /etc/pm/config.d to add
     SUSPEND_MODULES="iwlwifi"
2. editing /etc/modprobe/d/wilwifi.conf to add:
    options iwlwifi bt_coex_active=0
    options iwlwifi 11n_disable=1
3. running: sudo rmmod iwlwifi && sudo modprobe iwlwifi
4. stopping, starting, or restarting Network Manager

Nothing seems to work. When I had 13.10, my wifi worked without a problem, but once I erased it and installed 14.04, wifi will not connect after suspend. Ethernet works fine. The only way I've found to resolve this is to restart my computer. I have a Lenovo T420. If I try to connect after suspend, it shows the Wifi Networks, tries to connect, and says "Disconnected..." every time.

~$ sudo apt-get update; sudo apt-get install hwinfo grep rfkill; sudo lshw -C network; rfkill list; sudo iwlist scan | egrep -i 'chan|ssid'; cat /etc/network/interfaces; cat /etc/lsb-release; lspci -nnk | grep -iA2 net; lsusb; nmcli nm status; sudo lshw -short; uname -a; dmesg | egrep '02:00|80211|acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|ireless|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|ound|p54|prism|rror|rtl|rt2|rt3|rt5|rt6|rt7|usb|witch|wl';sudo dmidecode|egrep 'anufact|roduct|erial|elease'; iwconfig; cat /etc/modprobe.d/* | egrep '80211|acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|p54|prism|rtl|rt2|rt3|rt6|rt7|wmi|witch|wl'; cat /var/lib/NetworkManager/NetworkManager.state; sudo hwinfo --netcard ; ps -aux|egrep 'wpa|icd|etwork'; netstat -rn ; cat /etc/resolv.conf; ls -lia /boot; sudo lsmod
Ign http://dl.google.com stable InRelease
Hit http://dl.google.com stable Release.gpg
Hit http://dl.google.com stable Release
Hit http://repository.spotify.com stable InRelease
Ign http://us.archive.ubuntu.com trusty InRelease
Hit http://dl.google.com stable/main amd64 Packages
Hit http://dl.google.com stable/main i386 Packages
Ign http://extras.ubuntu.com trusty InRelease
Hit http://repository.spotify.com stable/non-free amd64 Packages
Ign http://security.ubuntu.com trusty-security InRelease
Ign http://us.archive.ubuntu.com trusty-updates InRelease
Hit http://repository.spotify.com stable/non-free i386 Packages
Hit http://extras.ubuntu.com trusty Release.gpg
Hit http://security.ubuntu.com trusty-security Release.gpg
Ign http://us.archive.ubuntu.com trusty-backports InRelease
Hit http://extras.ubuntu.com trusty Release
Ign http://us.archive.ubuntu.com trusty-proposed InRelease
Hit http://security.ubuntu.com trusty-security Release
Hit http://extras.ubuntu.com trusty/main Sources
Ign http://dl.google.com stable/main Translation-en_US
Hit http://us.archive.ubuntu.com trusty Release.gpg
Ign http://dl.google.com stable/main Translation-en
Hit http://security.ubuntu.com trusty-security/main Sources
Hit http://extras.ubuntu.com trusty/main amd64 Packages
Hit http://us.archive.ubuntu.com trusty-updates Release.gpg
Hit http://security.ubuntu.com trusty-security/restricted Sources
Hit http://extras.ubuntu.com trusty/main i386 Packages
Hit http://us.archive.ubuntu.com trusty-backports Release.gpg
Hit http://security.ubuntu.com trusty-security/universe Sources
Hit http://us.archive.ubuntu.com trusty-proposed Release.gpg
Hit http://security.ubuntu.com trusty-security/multiverse Sources
Hit http://us.archive.ubuntu.com trusty Release
Ign http://ppa.launchpad.net trusty InRelease
Hit http://security.ubuntu.com trusty-security/main amd64 Packages
Hit http://us.archive.ubuntu.com trusty-updates Release
Ign http://ppa.launchpad.net trusty InRelease
Hit http://security.ubuntu.com trusty-security/restricted amd64 Packages
Ign http://repository.spotify.com stable/non-free Translation-en_US
Hit http://us.archive.ubuntu.com trusty-backports Release
Ign http://ppa.launchpad.net trusty InRelease
Ign http://repository.spotify.com stable/non-free Translation-en
Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
Hit http://us.archive.ubuntu.com trusty-proposed Release
Ign http://ppa.launchpad.net trusty InRelease
Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages
Hit http://us.archive.ubuntu.com trusty/main Sources
Ign http://ppa.launchpad.net trusty InRelease
Hit http://security.ubuntu.com trusty-security/main i386 Packages
Hit http://us.archive.ubuntu.com trusty/restricted Sources
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://security.ubuntu.com trusty-security/restricted i386 Packages
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://us.archive.ubuntu.com trusty/universe Sources
Ign http://extras.ubuntu.com trusty/main Translation-en_US
Hit http://security.ubuntu.com trusty-security/universe i386 Packages
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://us.archive.ubuntu.com trusty/multiverse Sources
Ign http://extras.ubuntu.com trusty/main Translation-en
Hit http://security.ubuntu.com trusty-security/multiverse i386 Packages
Get:1 http://ppa.launchpad.net trusty Release.gpg [316 B]
Hit http://us.archive.ubuntu.com trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://us.archive.ubuntu.com trusty/restricted amd64 Packages
Hit http://security.ubuntu.com trusty-security/main Translation-en
Hit http://ppa.launchpad.net trusty Release
Hit http://us.archive.ubuntu.com trusty/universe amd64 Packages
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net trusty Release
Hit http://us.archive.ubuntu.com trusty/multiverse amd64 Packages
Hit http://ppa.launchpad.net trusty Release
Ign http://ppa.launchpad.net trusty Release
Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
Hit http://us.archive.ubuntu.com trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty Release
Hit http://us.archive.ubuntu.com trusty/restricted i386 Packages
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://security.ubuntu.com trusty-security/restricted Translation-en
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://us.archive.ubuntu.com trusty/universe i386 Packages
Hit http://us.archive.ubuntu.com trusty/multiverse i386 Packages
Hit http://security.ubuntu.com trusty-security/universe Translation-en
Hit http://us.archive.ubuntu.com trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://us.archive.ubuntu.com trusty/multiverse Translation-en
Hit http://us.archive.ubuntu.com trusty/restricted Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://us.archive.ubuntu.com trusty/universe Translation-en
Hit http://us.archive.ubuntu.com trusty-updates/main Sources
Hit http://us.archive.ubuntu.com trusty-updates/restricted Sources
Ign http://ppa.launchpad.net trusty/main amd64 Packages/DiffIndex
Hit http://us.archive.ubuntu.com trusty-updates/universe Sources
Ign http://ppa.launchpad.net trusty/main i386 Packages/DiffIndex
Hit http://us.archive.ubuntu.com trusty-updates/multiverse Sources
Hit http://us.archive.ubuntu.com trusty-updates/main amd64 Packages
Hit http://us.archive.ubuntu.com trusty-updates/restricted amd64 Packages
Ign http://security.ubuntu.com trusty-security/main Translation-en_US
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Ign http://security.ubuntu.com trusty-security/multiverse Translation-en_US
Ign http://security.ubuntu.com trusty-security/restricted Translation-en_US
Hit http://us.archive.ubuntu.com trusty-updates/universe amd64 Packages
Ign http://security.ubuntu.com trusty-security/universe Translation-en_US
Hit http://us.archive.ubuntu.com trusty-updates/multiverse amd64 Packages
Hit http://us.archive.ubuntu.com trusty-updates/main i386 Packages
Hit http://us.archive.ubuntu.com trusty-updates/restricted i386 Packages
Hit http://us.archive.ubuntu.com trusty-updates/universe i386 Packages
Hit http://us.archive.ubuntu.com trusty-updates/multiverse i386 Packages
Hit http://us.archive.ubuntu.com trusty-updates/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://us.archive.ubuntu.com trusty-updates/multiverse Translation-en
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://us.archive.ubuntu.com trusty-updates/restricted Translation-en
Hit http://us.archive.ubuntu.com trusty-updates/universe Translation-en
Hit http://us.archive.ubuntu.com trusty-backports/main Sources
Hit http://us.archive.ubuntu.com trusty-backports/restricted Sources
Hit http://us.archive.ubuntu.com trusty-backports/universe Sources
Hit http://us.archive.ubuntu.com trusty-backports/multiverse Sources
Hit http://us.archive.ubuntu.com trusty-backports/main amd64 Packages
Hit http://us.archive.ubuntu.com trusty-backports/restricted amd64 Packages
Hit http://us.archive.ubuntu.com trusty-backports/universe amd64 Packages
Hit http://us.archive.ubuntu.com trusty-backports/multiverse amd64 Packages
Hit http://us.archive.ubuntu.com trusty-backports/main i386 Packages
Hit http://us.archive.ubuntu.com trusty-backports/restricted i386 Packages
Hit http://us.archive.ubuntu.com trusty-backports/universe i386 Packages
Hit http://us.archive.ubuntu.com trusty-backports/multiverse i386 Packages
Hit http://us.archive.ubuntu.com trusty-backports/main Translation-en
Hit http://us.archive.ubuntu.com trusty-backports/multiverse Translation-en
Hit http://us.archive.ubuntu.com trusty-backports/restricted Translation-en
Ign http://ppa.launchpad.net trusty/main Translation-en_US
Hit http://us.archive.ubuntu.com trusty-backports/universe Translation-en
Ign http://ppa.launchpad.net trusty/main Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/main amd64 Packages
Ign http://ppa.launchpad.net trusty/main Translation-en_US
Hit http://us.archive.ubuntu.com trusty-proposed/restricted amd64 Packages
Ign http://ppa.launchpad.net trusty/main Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/universe amd64 Packages
Ign http://ppa.launchpad.net trusty/main Translation-en_US
Ign http://ppa.launchpad.net trusty/main Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/multiverse amd64 Packages
Ign http://ppa.launchpad.net trusty/main Translation-en_US
Hit http://us.archive.ubuntu.com trusty-proposed/main i386 Packages
Ign http://ppa.launchpad.net trusty/main Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/restricted i386 Packages
Ign http://ppa.launchpad.net trusty/main Translation-en_US
Ign http://ppa.launchpad.net trusty/main Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/universe i386 Packages
Hit http://us.archive.ubuntu.com trusty-proposed/multiverse i386 Packages
Hit http://us.archive.ubuntu.com trusty-proposed/main Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/multiverse Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/restricted Translation-en
Hit http://us.archive.ubuntu.com trusty-proposed/universe Translation-en
Ign http://us.archive.ubuntu.com trusty/main Translation-en_US
Ign http://us.archive.ubuntu.com trusty/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com trusty/restricted Translation-en_US
Ign http://us.archive.ubuntu.com trusty/universe Translation-en_US
Ign http://us.archive.ubuntu.com trusty-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com trusty-updates/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com trusty-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com trusty-updates/universe Translation-en_US
Ign http://us.archive.ubuntu.com trusty-backports/main Translation-en_US
Ign http://us.archive.ubuntu.com trusty-backports/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com trusty-backports/restricted Translation-en_US
Ign http://us.archive.ubuntu.com trusty-backports/universe Translation-en_US
Ign http://us.archive.ubuntu.com trusty-proposed/main Translation-en_US
Ign http://us.archive.ubuntu.com trusty-proposed/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com trusty-proposed/restricted Translation-en_US
Ign http://us.archive.ubuntu.com trusty-proposed/universe Translation-en_US
Fetched 316 B in 14s (22 B/s)
Reading package lists... Done
W: GPG error: http://ppa.launchpad.net trusty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3766223989993A70
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package hwinfo is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'hwinfo' has no installation candidate
  *-network
       description: Ethernet interface
       product: 82579LM Gigabit Network Connection
       vendor: Intel Corporation
       physical id: 19
       bus info: pci@0000:00:19.0
       logical name: eth0
       version: 04
       serial: 00:21:cc:66:78:79
       size: 10Mbit/s
       capacity: 1Gbit/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=e1000e driverversion=2.3.2-k duplex=full firmware=0.13-3 ip=128.113.136.140 latency=0 link=yes multicast=yes port=twisted pair speed=10Mbit/s
       resources: irq:43 memory:f3a00000-f3a1ffff memory:f3a2b000-f3a2bfff ioport:6080(size=32)
  *-network
       description: Wireless interface
       product: Centrino Ultimate-N 6300
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 35
       serial: 00:24:d7:df:0b:6c
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwlwifi driverversion=3.13.0-24-generic firmware=9.221.4.1 build 25532 latency=0 link=no multicast=yes wireless=IEEE 802.11abg
       resources: irq:46 memory:f3900000-f3901fff
0: tpacpi_bluetooth_sw: Bluetooth
 Soft blocked: yes
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
eth0 Interface doesn't support scanning.

lo Interface doesn't support scanning.

                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    ESSID:"rpi_wpa2"
                    Channel:1
                    Frequency:2.412 GHz (Channel 1)
                    ESSID:"rpi_wpa2"
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    ESSID:"rpi_wpa2"
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    ESSID:"rpi_netreg"
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    ESSID:"\x00"
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    ESSID:"rpi_wpa2"
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    ESSID:"RMP"
                    Channel:36
                    Frequency:5.18 GHz (Channel 36)
                    ESSID:"rpi_wpa2"
                    Channel:36
                    Frequency:5.18 GHz (Channel 36)
                    ESSID:"rpi_netreg"
# interfaces(5) file used by ifup(8) and ifdown(8)
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).
# The loopback network interface
auto lo
iface lo inet loopback

# This is a list of hotpluggable network interfaces.
# They will be activated automatically by the hotplug subsystem.
# auto eth1
# iface eth1 inet dhcpDISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04 LTS"
00:19.0 Ethernet controller [0200]: Intel Corporation 82579LM Gigabit Network Connection [8086:1502] (rev 04)
 Subsystem: Lenovo Device [17aa:21ce]
 Kernel driver in use: e1000e
--
03:00.0 Network controller [0280]: Intel Corporation Centrino Ultimate-N 6300 [8086:4238] (rev 35)
 Subsystem: Intel Corporation Centrino Ultimate-N 6300 3x3 AGN [8086:1111]
 Kernel driver in use: iwlwifi
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 04f2:b221 Chicony Electronics Co., Ltd integrated camera
Bus 001 Device 003: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
RUNNING STATE WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
running connected enabled enabled enabled enabled
H/W path Device Class Description
=======================================================
                             system 4180DY1 ()
/0 bus 4180DY1
/0/1 processor Intel(R) Core(TM) i5-2540M CPU @ 2.6
/0/1/2 memory 64KiB L1 cache
/0/1/3 memory 256KiB L2 cache
/0/1/4 memory 3MiB L3 cache
/0/5 memory 8GiB System Memory
/0/5/0 memory 4GiB SODIMM DDR3 Synchronous 1333 MH
/0/5/1 memory 4GiB SODIMM DDR3 Synchronous 1333 MH
/0/f memory 128KiB BIOS
/0/100 bridge 2nd Generation Core Processor Family
/0/100/1 bridge Xeon E3-1200/2nd Generation Core Pro
/0/100/1/0 display GF119M [Quadro NVS 4200M]
/0/100/2 display 2nd Generation Core Processor Family
/0/100/16 communication 6 Series/C200 Series Chipset Family
/0/100/16.3 communication 6 Series/C200 Series Chipset Family
/0/100/19 eth0 network 82579LM Gigabit Network Connection
/0/100/1a bus 6 Series/C200 Series Chipset Family
/0/100/1b multimedia 6 Series/C200 Series Chipset Family
/0/100/1c bridge 6 Series/C200 Series Chipset Family
/0/100/1c.1 bridge 6 Series/C200 Series Chipset Family
/0/100/1c.1/0 wlan0 network Centrino Ultimate-N 6300
/0/100/1c.3 bridge 6 Series/C200 Series Chipset Family
/0/100/1c.4 bridge 6 Series/C200 Series Chipset Family
/0/100/1c.4/0 generic MMC/SD Host Controller
/0/100/1c.4/0.3 bus R5C832 PCIe IEEE 1394 Controller
/0/100/1d bus 6 Series/C200 Series Chipset Family
/0/100/1f bridge QM67 Express Chipset Family LPC Cont
/0/100/1f.2 storage 6 Series/C200 Series Chipset Family
/0/100/1f.3 bus 6 Series/C200 Series Chipset Family
/0/0 scsi0 storage
/0/0/0.0.0 /dev/sda disk 500GB ST9500420AS
/0/0/0.0.0/1 /dev/sda1 volume 372GiB Windows NTFS volume
/0/0/0.0.0/2 /dev/sda2 volume 93GiB Extended partition
/0/0/0.0.0/2/5 /dev/sda5 volume 8077MiB Linux swap / Solaris partiti
/0/0/0.0.0/2/6 /dev/sda6 volume 85GiB Linux filesystem partition
/0/2 scsi1 storage
/0/2/0.0.0 /dev/cdrom disk DVD RW AD-7710H
/1 power 45N1173
Linux rothe2-ThinkPad-T420 3.13.0-24-generic #46-Ubuntu SMP Thu Apr 10 19:11:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
[ 0.000000] No AGP bridge found
[ 0.000000] No NUMA configuration found
[ 0.000000] No AGP bridge found
[ 0.201818] ACPI : EC: EC description table is found, configuring boot EC
[ 0.214266] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[ 0.244018] ACPI: ACPI Dock Station Driver: 2 docks/bays found
[ 0.265142] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[ 0.295854] Found 1 acpi root devices
[ 0.296885] usbcore: registered new interface driver usbfs
[ 0.296902] usbcore: registered new interface driver hub
[ 0.296975] usbcore: registered new device driver usb
[ 0.304069] Switched to clocksource hpet
[ 0.319469] pnp: PnP ACPI: found 10 devices
[ 1.309883] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0
[ 1.310103] ACPI: Lid Switch [LID]
[ 1.419875] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[ 1.419881] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 1.419886] usb usb1: Product: EHCI Host Controller
[ 1.419890] usb usb1: Manufacturer: Linux 3.13.0-24-generic ehci_hcd
[ 1.419895] usb usb1: SerialNumber: 0000:00:1a.0
[ 1.420240] hub 1-0:1.0: USB hub found
[ 1.436003] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[ 1.436011] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 1.436017] usb usb2: Product: EHCI Host Controller
[ 1.436021] usb usb2: Manufacturer: Linux 3.13.0-24-generic ehci_hcd
[ 1.436026] usb usb2: SerialNumber: 0000:00:1d.0
[ 1.436483] hub 2-0:1.0: USB hub found
[ 1.447102] Loaded X.509 cert 'Magrathea: Glacier signing key: 00a5a65759de474bc5c43120880c1b94a539f431'
[ 1.475860] tpm_tis 00:09: A TPM error (6) occurred attempting to read a pcr value
[ 1.475878] IMA: No TPM chip found, activating TPM-bypass!
[ 1.482588] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 1.550586] sdhci-pci 0000:0d:00.0: SDHCI controller found [1180:e822] (rev 8)
[ 1.550797] mmc0: no vqmmc regulator found
[ 1.550800] mmc0: no vmmc regulator found
[ 1.731822] usb 1-1: new high-speed USB device number 2 using ehci-pci
[ 1.791830] e1000e 0000:00:19.0 eth0: registered PHC clock
[ 1.791833] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) 00:21:cc:66:78:79
[ 1.791834] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
[ 1.791875] e1000e 0000:00:19.0 eth0: MAC: 10, PHY: 11, PBA No: 1000FF-0FF
[ 1.864465] usb 1-1: New USB device found, idVendor=8087, idProduct=0024
[ 1.864475] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 1.865149] hub 1-1:1.0: USB hub found
[ 1.913136] ata1.00: ACPI cmd ef/02:00:00:00:00:a0 (SET FEATURES) succeeded
[ 1.957987] ata1.00: ACPI cmd ef/02:00:00:00:00:a0 (SET FEATURES) succeeded
[ 1.975722] usb 2-1: new high-speed USB device number 2 using ehci-pci
[ 2.108371] usb 2-1: New USB device found, idVendor=8087, idProduct=0024
[ 2.108382] usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 2.109014] hub 2-1:1.0: USB hub found
[ 2.183714] usb 1-1.3: new full-speed USB device number 3 using ehci-pci
[ 2.277462] usb 1-1.3: New USB device found, idVendor=147e, idProduct=2016
[ 2.277473] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2.277479] usb 1-1.3: Product: Biometric Coprocessor
[ 2.277483] usb 1-1.3: Manufacturer: UPEK
[ 2.282713] ata2.00: ACPI cmd e3/00:02:00:00:00:a0 (IDLE) succeeded
[ 2.288048] ata2.00: ACPI cmd e3/00:02:00:00:00:a0 (IDLE) succeeded
[ 2.347906] usb 1-1.6: new high-speed USB device number 4 using ehci-pci
[ 2.446558] usb 1-1.6: New USB device found, idVendor=04f2, idProduct=b221
[ 2.446569] usb 1-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2.446575] usb 1-1.6: Product: Integrated Camera
[ 2.446580] usb 1-1.6: Manufacturer: Chicony Electronics Co., Ltd.
[ 3.219321] Switched to clocksource tsc
[ 6.459301] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 7.449616] lp: driver loaded but no devices found
[ 8.059824] lpc_ich: Resource conflict(s) found affecting gpio_ich
[ 8.594590] cfg80211: Calling CRDA to update world regulatory domain
[ 8.673075] Intel(R) Wireless WiFi driver for Linux, in-tree:
[ 8.673241] iwlwifi 0000:03:00.0: can't disable ASPM; OS doesn't have ASPM control
[ 8.673458] iwlwifi 0000:03:00.0: irq 45 for MSI/MSI-X
[ 8.712648] thinkpad_acpi: radio switch found; radios are enabled
[ 8.714320] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is blocked
[ 8.821874] iwlwifi 0000:03:00.0: Direct firmware load failed with error -2
[ 8.821876] iwlwifi 0000:03:00.0: Falling back to user helper
[ 9.038014] iwlwifi 0000:03:00.0: Direct firmware load failed with error -2
[ 9.038015] iwlwifi 0000:03:00.0: Falling back to user helper
[ 9.127981] Console: switching to colour frame buffer device 200x56
[ 9.169564] iwlwifi 0000:03:00.0: loaded firmware version 9.221.4.1 build 25532 op_mode iwldvm
[ 9.205115] uvcvideo: Found UVC 1.00 device Integrated Camera (04f2:b221)
[ 9.206820] input: Integrated Camera as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input9
[ 9.206883] usbcore: registered new interface driver uvcvideo
[ 9.285344] usb 1-1.4: new full-speed USB device number 5 using ehci-pci
[ 9.302584] hda_codec: CX20590: BIOS auto-probing.
[ 9.309644] input: HDA Intel PCH Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
[ 9.309721] input: HDA Intel PCH Dock Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[ 9.309784] input: HDA Intel PCH Dock Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[ 9.309847] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[ 9.382075] usb 1-1.4: New USB device found, idVendor=0a5c, idProduct=217f
[ 9.382085] usb 1-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 9.382091] usb 1-1.4: Product: Broadcom Bluetooth Device
[ 9.382096] usb 1-1.4: Manufacturer: Broadcom Corp
[ 9.382100] usb 1-1.4: SerialNumber: CCAF78F04C2E
[ 9.685304] cfg80211: World regulatory domain updated:
[ 9.685313] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 9.685319] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.685323] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.685327] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 9.685330] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.685333] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.705918] iwlwifi 0000:03:00.0: CONFIG_IWLWIFI_DEBUG disabled
[ 9.705921] iwlwifi 0000:03:00.0: CONFIG_IWLWIFI_DEBUGFS enabled
[ 9.705922] iwlwifi 0000:03:00.0: CONFIG_IWLWIFI_DEVICE_TRACING enabled
[ 9.705923] iwlwifi 0000:03:00.0: Detected Intel(R) Centrino(R) Ultimate-N 6300 AGN, REV=0x74
[ 9.706061] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[ 9.727243] usbcore: registered new interface driver btusb
[ 9.731186] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[ 12.519594] EXT4-fs (sda6): re-mounted. Opts: errors=remount-ro
[ 13.437242] usb 1-1.4: USB disconnect, device number 5
[ 14.353696] psmouse serio2: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
[ 20.382122] bbswitch: version 0.7
[ 20.382129] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.VID_
[ 20.382133] bbswitch: Found discrete VGA device 0000:01:00.0: \_SB_.PCI0.PEG_.VID_
[ 20.382141] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 20.382367] bbswitch: detected an Optimus _DSM function
[ 20.382376] bbswitch: Succesfully loaded. Discrete card 0000:01:00.0 is on
[ 20.469943] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 20.470190] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 20.471720] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[ 20.471932] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
[ 20.691563] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[ 20.691780] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
[ 20.804394] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 20.804696] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 26.605914] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 26.606073] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 26.606173] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 26.606220] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 26.606275] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 26.606363] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 26.607172] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 26.607197] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 27.353149] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 46.287681] wlan0: authenticate with 00:11:92:5e:7a:41
[ 46.292762] wlan0: send auth to 00:11:92:5e:7a:41 (try 1/3)
[ 46.308503] wlan0: authenticated
[ 46.309508] wlan0: associate with 00:11:92:5e:7a:41 (try 1/3)
[ 46.312537] wlan0: RX AssocResp from 00:11:92:5e:7a:41 (capab=0x431 status=0 aid=12)
[ 46.316911] wlan0: associated
[ 46.316983] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 46.317073] cfg80211: Calling CRDA for country: US
[ 46.319280] cfg80211: Regulatory domain changed to country: US
[ 46.319283] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 46.319285] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 46.319286] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 46.319287] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 46.319288] cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 46.319289] cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 46.319290] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 46.319291] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
[ 599.890992] wlan0: deauthenticating from 00:11:92:5e:7a:41 by local choice (reason=3)
[ 599.902566] cfg80211: Calling CRDA to update world regulatory domain
[ 599.905488] cfg80211: World regulatory domain updated:
[ 599.905492] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 599.905494] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 599.905496] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 599.905498] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 599.905499] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 599.905501] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 609.823956] usb 1-1.3: reset full-speed USB device number 3 using ehci-pci
[ 609.987892] usb 1-1.6: reset high-speed USB device number 4 using ehci-pci
[ 610.145960] ata2.00: ACPI cmd e3/00:02:00:00:00:a0 (IDLE) succeeded
[ 610.160967] ata2.00: ACPI cmd e3/00:02:00:00:00:a0 (IDLE) succeeded
[ 612.317706] ata1.00: ACPI cmd ef/02:00:00:00:00:a0 (SET FEATURES) succeeded
[ 612.321812] ata1.00: ACPI cmd ef/02:00:00:00:00:a0 (SET FEATURES) succeeded
[ 612.883399] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 613.413499] cfg80211: Calling CRDA to update world regulatory domain
[ 613.416905] cfg80211: World regulatory domain updated:
[ 613.416909] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 613.416912] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 613.416914] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 613.416916] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 613.416917] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 613.416919] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 613.431278] Intel(R) Wireless WiFi driver for Linux, in-tree:
[ 613.431379] iwlwifi 0000:03:00.0: can't disable ASPM; OS doesn't have ASPM control
[ 613.431448] iwlwifi 0000:03:00.0: irq 46 for MSI/MSI-X
[ 613.436865] iwlwifi 0000:03:00.0: Direct firmware load failed with error -2
[ 613.436869] iwlwifi 0000:03:00.0: Falling back to user helper
[ 613.438006] iwlwifi 0000:03:00.0: Direct firmware load failed with error -2
[ 613.438009] iwlwifi 0000:03:00.0: Falling back to user helper
[ 613.439580] iwlwifi 0000:03:00.0: loaded firmware version 9.221.4.1 build 25532 op_mode iwldvm
[ 613.439602] iwlwifi 0000:03:00.0: CONFIG_IWLWIFI_DEBUG disabled
[ 613.439604] iwlwifi 0000:03:00.0: CONFIG_IWLWIFI_DEBUGFS enabled
[ 613.439605] iwlwifi 0000:03:00.0: CONFIG_IWLWIFI_DEVICE_TRACING enabled
[ 613.439608] iwlwifi 0000:03:00.0: Detected Intel(R) Centrino(R) Ultimate-N 6300 AGN, REV=0x74
[ 613.440198] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[ 613.452620] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[ 613.477017] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[ 613.477248] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
[ 613.697054] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[ 613.697275] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
[ 613.823842] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 613.830884] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 633.851488] wlan0: authenticate with 00:11:92:5e:7a:41
[ 633.856405] wlan0: send auth to 00:11:92:5e:7a:41 (try 1/3)
[ 633.960351] wlan0: send auth to 00:11:92:5e:7a:41 (try 2/3)
[ 633.961821] wlan0: authenticated
[ 638.859918] wlan0: deauthenticating from 00:11:92:5e:7a:41 by local choice (reason=3)
[ 638.862564] wlan0: authenticate with 00:11:92:5e:7a:41
[ 638.866685] wlan0: send auth to 00:11:92:5e:7a:41 (try 1/3)
[ 638.868464] wlan0: authenticated
[ 643.865301] wlan0: deauthenticating from 00:11:92:5e:7a:41 by local choice (reason=3)
[ 654.873232] wlan0: authenticate with 00:11:5c:b4:6e:01
[ 654.922253] wlan0: send auth to 00:11:5c:b4:6e:01 (try 1/3)
[ 655.025499] wlan0: send auth to 00:11:5c:b4:6e:01 (try 2/3)
[ 655.026745] wlan0: authenticated
[ 659.925901] wlan0: deauthenticating from 00:11:5c:b4:6e:01 by local choice (reason=3)
[ 662.069502] e1000e: eth0 NIC Link is Up 10 Mbps Full Duplex, Flow Control: None
[ 662.069513] e1000e 0000:00:19.0 eth0: 10/100 speed: disabling TSO
[ 662.069558] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 670.033859] wlan0: authenticate with 00:17:df:ab:e5:c1
[ 670.038094] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 1/3)
[ 670.240704] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 2/3)
[ 670.444606] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 3/3)
[ 670.648540] wlan0: authentication with 00:17:df:ab:e5:c1 timed out
[ 675.037938] wlan0: deauthenticating from 00:17:df:ab:e5:c1 by local choice (reason=3)
[ 685.142987] wlan0: authenticate with 00:17:df:ab:e5:ce
[ 685.179264] wlan0: send auth to 00:17:df:ab:e5:ce (try 1/3)
[ 685.207501] wlan0: authenticated
[ 690.179127] wlan0: deauthenticating from 00:17:df:ab:e5:ce by local choice (reason=3)
[ 700.290208] wlan0: authenticate with 00:11:21:94:85:91
[ 700.338512] wlan0: send auth to 00:11:21:94:85:91 (try 1/3)
[ 700.443079] wlan0: send auth to 00:11:21:94:85:91 (try 2/3)
[ 700.444313] wlan0: authenticated
[ 705.338572] wlan0: deauthenticating from 00:11:21:94:85:91 by local choice (reason=3)
[ 715.475154] wlan0: authenticate with 00:12:43:25:0d:71
[ 715.524144] wlan0: send auth to 00:12:43:25:0d:71 (try 1/3)
[ 715.630290] wlan0: send auth to 00:12:43:25:0d:71 (try 2/3)
[ 715.637270] wlan0: authenticated
[ 720.527848] wlan0: deauthenticating from 00:12:43:25:0d:71 by local choice (reason=3)
[ 730.638433] wlan0: authenticate with 00:11:92:5e:7a:41
[ 730.686938] wlan0: send auth to 00:11:92:5e:7a:41 (try 1/3)
[ 730.793469] wlan0: send auth to 00:11:92:5e:7a:41 (try 2/3)
[ 730.794799] wlan0: authenticated
[ 733.765732] wlan0: deauthenticating from 00:11:92:5e:7a:41 by local choice (reason=3)
[ 1043.712052] wlan0: authenticate with 00:11:92:5e:7a:41
[ 1043.717105] wlan0: send auth to 00:11:92:5e:7a:41 (try 1/3)
[ 1043.822064] wlan0: send auth to 00:11:92:5e:7a:41 (try 2/3)
[ 1043.823417] wlan0: authenticated
[ 1048.720585] wlan0: deauthenticating from 00:11:92:5e:7a:41 by local choice (reason=3)
[ 1063.728898] wlan0: authenticate with 00:11:5c:b4:6e:01
[ 1063.779101] wlan0: send auth to 00:11:5c:b4:6e:01 (try 1/3)
[ 1063.887703] wlan0: send auth to 00:11:5c:b4:6e:01 (try 2/3)
[ 1063.930514] wlan0: send auth to 00:11:5c:b4:6e:01 (try 3/3)
[ 1063.931798] wlan0: authenticated
[ 1068.782581] wlan0: deauthenticating from 00:11:5c:b4:6e:01 by local choice (reason=3)
[ 1083.793909] wlan0: authenticate with 00:17:df:ab:e5:c1
[ 1083.798454] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 1/3)
[ 1084.001355] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 2/3)
[ 1084.205275] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 3/3)
[ 1084.409261] wlan0: authentication with 00:17:df:ab:e5:c1 timed out
[ 1086.656050] wlan0: deauthenticating from 00:17:df:ab:e5:c1 by local choice (reason=3)
[ 1096.667611] wlan0: authenticate with 00:17:df:ab:e5:c1
[ 1096.673009] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 1/3)
[ 1096.873279] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 2/3)
[ 1097.077253] wlan0: direct probe to 00:17:df:ab:e5:c1 (try 3/3)
[ 1097.281144] wlan0: authentication with 00:17:df:ab:e5:c1 timed out
[ 1101.675717] wlan0: deauthenticating from 00:17:df:ab:e5:c1 by local choice (reason=3)
[ 1117.687608] wlan0: authenticate with 00:11:21:94:85:91
[ 1117.735980] wlan0: send auth to 00:11:21:94:85:91 (try 1/3)
[ 1117.756768] wlan0: send auth to 00:11:21:94:85:91 (try 2/3)
[ 1117.862544] wlan0: send auth to 00:11:21:94:85:91 (try 3/3)
[ 1117.863864] wlan0: authenticated
[ 1122.739581] wlan0: deauthenticating from 00:11:21:94:85:91 by local choice (reason=3)
[ 1137.752748] wlan0: authenticate with 00:17:df:ab:e5:ce
[ 1137.789148] wlan0: send auth to 00:17:df:ab:e5:ce (try 1/3)
[ 1137.835432] wlan0: authenticated
[ 1142.636527] wlan0: deauthenticating from 00:17:df:ab:e5:ce by local choice (reason=3)
[ 1452.583643] wlan0: authenticate with 00:17:df:ab:e5:ce
[ 1452.588507] wlan0: send auth to 00:17:df:ab:e5:ce (try 1/3)
[ 1452.590165] wlan0: authenticated
[ 1457.590808] wlan0: deauthenticating from 00:17:df:ab:e5:ce by local choice (reason=3)
[ 1472.598746] wlan0: authenticate with 00:12:43:25:0d:71
[ 1472.647433] wlan0: send auth to 00:12:43:25:0d:71 (try 1/3)
[ 1472.753891] wlan0: send auth to 00:12:43:25:0d:71 (try 2/3)
[ 1472.777364] wlan0: send auth to 00:12:43:25:0d:71 (try 3/3)
[ 1472.778676] wlan0: authenticated
[ 1477.649811] wlan0: deauthenticating from 00:12:43:25:0d:71 by local choice (reason=3)
[ 1492.659914] wlan0: authenticate with 00:11:92:5e:7a:41
[ 1492.708113] wlan0: send auth to 00:11:92:5e:7a:41 (try 1/3)
[ 1492.815454] wlan0: send auth to 00:11:92:5e:7a:41 (try 2/3)
[ 1492.816690] wlan0: authenticated
 Manufacturer: Intel(R) Corporation
 Serial Number: Not Supported by CPU
 Manufacturer: Hynix/Hyundai
 Serial Number: 158903BC
 Manufacturer: 8783
 Serial Number: 15B40500
 Release Date: 07/07/2011
  Serial services are supported (int 14h)
 Manufacturer: LENOVO
 Product Name: 4180DY1
 Serial Number: R8CB98H
 Manufacturer: LENOVO
 Product Name: 4180DY1
 Serial Number: 1ZJU917E19G
 Manufacturer: LENOVO
 Serial Number: R8CB98H
 Manufacturer: SANYO
 SBDS Serial Number: 7C7B
 SBDS Manufacture Date: 2013-11-27
eth0 no wireless extensions.

lo no wireless extensions.

wlan0 IEEE 802.11abg ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off

install snd-rawmidi /sbin/modprobe --ignore-install snd-rawmidi $CMDLINE_OPTS && { /sbin/modprobe --quiet --use-blacklist snd-seq-midi ; : ; }
# which ath5k cannot recover. To prevent this condition, stop
blacklist ath_pci
blacklist eth1394
# replaced by p54pci
blacklist prism54
# replaced by b43 and ssb.
blacklist bcm43xx
blacklist uart6850
blacklist twl4030_wdt
# /etc/modprobe.d/iwlwifi.conf
# iwlwifi will dyamically load either iwldvm or iwlmvm depending on the
# microcode file installed on the system. When removing iwlwifi, first
# remove the iwl?vm module and then iwlwifi.
remove iwlwifi \
(/sbin/lsmod | grep -o -e ^iwlmvm -e ^iwldvm -e ^iwlwifi | xargs /sbin/rmmod) \
&& /sbin/modprobe -r mac80211
options iwlwifi bt_coex_active=0
options iwlwifi 11n_disable=1# mlx4_core gets automatically loaded, load mlx4_en also (LP: #1115710)
[main]
NetworkingEnabled=true
WirelessEnabled=true
WWANEnabled=true
WimaxEnabled=true
sudo: hwinfo: command not found
root 754 0.0 0.1 361752 8332 ? Ssl 13:24 0:01 NetworkManager
root 1117 0.0 0.0 30736 3252 ? Ss 13:24 0:00 /sbin/wpa_supplicant -B -P /run/sendsigs.omit.d/wpasupplicant.pid -u -s -O /var/run/wpa_supplicant
nobody 2022 0.0 0.0 35224 1548 ? S 13:25 0:00 /usr/sbin/dnsmasq --no-resolv --keep-in-foreground --no-hosts --bind-interfaces --pid-file=/run/sendsigs.omit.d/network-manager.dnsmasq.pid --listen-address=127.0.1.1 --conf-file=/var/run/NetworkManager/dnsmasq.conf --cache-size=0 --proxy-dnssec --enable-dbus=org.freedesktop.NetworkManager.dnsmasq --conf-dir=/etc/NetworkManager/dnsmasq.d
root 4129 0.0 0.0 10232 3688 ? S 13:49 0:00 /sbin/dhclient -d -sf /usr/lib/NetworkManager/nm-dhcp-client.action -pf /run/sendsigs.omit.d/network-manager.dhclient-eth0.pid -lf /var/lib/NetworkManager/dhclient-02538e4e-399a-4ea0-a029-96305e7f79c6-eth0.lease -cf /var/lib/NetworkManager/dhclient-eth0.conf eth0
rothe2 4945 0.0 0.0 13648 912 pts/1 S+ 14:03 0:00 egrep --color=auto wpa|icd|etwork
Kernel IP routing table
Destination Gateway Genmask Flags MSS Window irtt Iface
0.0.0.0 128.113.136.254 0.0.0.0 UG 0 0 0 eth0
128.113.136.0 0.0.0.0 255.255.248.0 U 0 0 0 eth0
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
nameserver 127.0.1.1
search dynamic.rpi.edu
total 29364
5242881 drwxr-xr-x 3 root root 4096 Apr 22 12:53 .
      2 drwxr-xr-x 24 root root 4096 Apr 22 12:52 ..
5242884 -rw-r--r-- 1 root root 1158016 Apr 10 16:11 abi-3.13.0-24-generic
5242885 -rw-r--r-- 1 root root 165510 Apr 10 16:11 config-3.13.0-24-generic
5242882 drwxr-xr-x 5 root root 4096 Apr 22 12:52 grub
5243664 -rw-r--r-- 1 root root 19030232 Apr 22 12:53 initrd.img-3.13.0-24-generic
5242886 -rw-r--r-- 1 root root 176500 Mar 12 08:31 memtest86+.bin
5242887 -rw-r--r-- 1 root root 178176 Mar 12 08:31 memtest86+.elf
5242888 -rw-r--r-- 1 root root 178680 Mar 12 08:31 memtest86+_multiboot.bin
5242883 -rw------- 1 root root 3372643 Apr 10 16:11 System.map-3.13.0-24-generic
5242890 -rw-r--r-- 1 root root 5777056 Apr 17 14:51 vmlinuz-3.13.0-24-generic
Module Size Used by
iwldvm 232285 0
iwlwifi 169932 1 iwldvm
mac80211 626489 1 iwldvm
cfg80211 484040 3 iwlwifi,mac80211,iwldvm
ctr 13049 0
ccm 17773 0
bbswitch 13943 0
bnep 19624 2
rfcomm 69160 0
binfmt_misc 17468 1
nvidia 10675249 39
arc4 12608 2
btusb 32412 0
bluetooth 395423 11 bnep,btusb,rfcomm
joydev 17381 0
snd_hda_codec_conexant 57441 1
uvcvideo 80885 0
videobuf2_vmalloc 13216 1 uvcvideo
videobuf2_memops 13362 1 videobuf2_vmalloc
intel_rapl 18773 0
videobuf2_core 40664 1 uvcvideo
x86_pkg_temp_thermal 14205 0
videodev 134688 2 uvcvideo,videobuf2_core
snd_hda_intel 52355 3
intel_powerclamp 14705 0
coretemp 13435 0
snd_hda_codec 192906 2 snd_hda_codec_conexant,snd_hda_intel
snd_hwdep 13602 1 snd_hda_codec
snd_pcm 102099 2 snd_hda_codec,snd_hda_intel
thinkpad_acpi 80817 1
snd_page_alloc 18710 2 snd_pcm,snd_hda_intel
nvram 14411 1 thinkpad_acpi
snd_seq_midi 13324 0
snd_seq_midi_event 14899 1 snd_seq_midi
snd_rawmidi 30144 1 snd_seq_midi
kvm 451511 0
snd_seq 61560 2 snd_seq_midi_event,snd_seq_midi
crct10dif_pclmul 14289 0
crc32_pclmul 13113 0
ghash_clmulni_intel 13259 0
aesni_intel 55624 0
snd_seq_device 14497 3 snd_seq,snd_rawmidi,snd_seq_midi
aes_x86_64 17131 1 aesni_intel
snd_timer 29482 2 snd_pcm,snd_seq
lrw 13286 1 aesni_intel
gf128mul 14951 1 lrw
psmouse 102222 0
snd 69238 17 snd_hwdep,snd_timer,snd_hda_codec_conexant,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec,snd_hda_intel,thinkpad_acpi,snd_seq_device,snd_seq_midi
glue_helper 13990 1 aesni_intel
wmi 19177 0
i915 783485 2
soundcore 12680 1 snd
ablk_helper 13597 1 aesni_intel
serio_raw 13462 0
cryptd 20359 3 ghash_clmulni_intel,aesni_intel,ablk_helper
drm_kms_helper 52758 1 i915
drm 302817 5 i915,drm_kms_helper,nvidia
mei_me 18627 0
mei 82274 1 mei_me
i2c_algo_bit 13413 1 i915
lpc_ich 21080 0
mac_hid 13205 0
video 19476 1 i915
parport_pc 32701 0
ppdev 17671 0
lp 17759 0
parport 42348 3 lp,ppdev,parport_pc
firewire_ohci 40409 0
ahci 25819 2
e1000e 254433 0
sdhci_pci 23172 0
firewire_core 68769 1 firewire_ohci
libahci 32168 1 ahci
sdhci 43015 1 sdhci_pci
crc_itu_t 12707 1 firewire_core
ptp 18933 1 e1000e
pps_core 19382 1 ptp

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-nettool (Ubuntu):
status: New → Confirmed
sciasbat (fabio-forno) wrote :

Killing wpa_supplicant after resume seems solving the problem

Download full text (50.5 KiB)

Killing wpa_suuplicant worked!

On Mon, Apr 28, 2014 at 5:24 AM, sciasbat <email address hidden> wrote:

> Killing wpa_supplicant after resume seems solving the problem
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1311257
>
> Title:
> Wifi cannot connect after suspend 14.04
>
> Status in “gnome-nettool” package in Ubuntu:
> Confirmed
>
> Bug description:
> I've tried every solution, such as
> 1. editing /etc/pm/config.d to add
> SUSPEND_MODULES="iwlwifi"
> 2. editing /etc/modprobe/d/wilwifi.conf to add:
> options iwlwifi bt_coex_active=0
> options iwlwifi 11n_disable=1
> 3. running: sudo rmmod iwlwifi && sudo modprobe iwlwifi
> 4. stopping, starting, or restarting Network Manager
>
> Nothing seems to work. When I had 13.10, my wifi worked without a
> problem, but once I erased it and installed 14.04, wifi will not
> connect after suspend. Ethernet works fine. The only way I've found
> to resolve this is to restart my computer. I have a Lenovo T420. If
> I try to connect after suspend, it shows the Wifi Networks, tries to
> connect, and says "Disconnected..." every time.
>
>
> ~$ sudo apt-get update; sudo apt-get install hwinfo grep rfkill; sudo
> lshw -C network; rfkill list; sudo iwlist scan | egrep -i 'chan|ssid'; cat
> /etc/network/interfaces; cat /etc/lsb-release; lspci -nnk | grep -iA2 net;
> lsusb; nmcli nm status; sudo lshw -short; uname -a; dmesg | egrep
> '02:00|80211|acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|ireless|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|ound|p54|prism|rror|rtl|rt2|rt3|rt5|rt6|rt7|usb|witch|wl';sudo
> dmidecode|egrep 'anufact|roduct|erial|elease'; iwconfig; cat
> /etc/modprobe.d/* | egrep
> '80211|acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|p54|prism|rtl|rt2|rt3|rt6|rt7|wmi|witch|wl';
> cat /var/lib/NetworkManager/NetworkManager.state; sudo hwinfo --netcard ;
> ps -aux|egrep 'wpa|icd|etwork'; netstat -rn ; cat /etc/resolv.conf; ls -lia
> /boot; sudo lsmod
> Ign http://dl.google.com stable InRelease
> Hit http://dl.google.com stable Release.gpg
> Hit http://dl.google.com stable Release
> Hit http://repository.spotify.com stable InRelease
> Ign http://us.archive.ubuntu.com trusty InRelease
> Hit http://dl.google.com stable/main amd64 Packages
> Hit http://dl.google.com stable/main i386 Packages
> Ign http://extras.ubuntu.com trusty InRelease
> Hit http://repository.spotify.com stable/non-free amd64 Packages
> Ign http://security.ubuntu.com trusty-security InRelease
> Ign http://us.archive.ubuntu.com trusty-updates InRelease
> Hit http://repository.spotify.com stable/non-free i386 Packages
> Hit http://extras.ubuntu.com trusty Release.gpg
> Hit http://security.ubuntu.com trusty-security Release.gpg
> Ign http://us.archive.ubuntu.com trusty-backports InRelease
> Hit http://extras.ubuntu.com trusty Release
> Ign http://us.archive.ubuntu.com trusty-proposed InRelease
> Hit http://security.ubuntu.com trusty-security Release
> Hit http://extras.ubuntu.com trusty/main Sources
> Ign http://dl.google.com stable/main Transla...

Emily Roth (errskipower) wrote :

Killing wpa_supplicant after resume fixes the problem and allows me to connect to the wifi.

I had exactly this problem. A killall wpa_supplicant seems to fix it. Please implement a proper fix as this is probably driving some users nuts.

It took me ages to find this page.

d0minique (d0minique) wrote :

Same device, same issue.
I cannot replicate the bug but, when powered up for long time (2 days or more) the WiFi seems to have the same issue.
Next time the bug appears I try to kill the supplicant and give a try to the fix suggested.

I quote Steve: "It took me ages to find this page."

description: updated
summary: - Wifi cannot connect after suspend 14.04
+ Wifi cannot connect or unstable after suspend 14.04
Kevin Lyda (lyda) wrote :

I have the same issue. Upgraded 12.04 to 14.04 on a Lenovo T530. Killing wpa_supplicant resolves the issue, so I wrote the following script which seems to work:

Put it in /etc/pm/sleep.d/wpa_supplicant_workaround :

#!/bin/sh

case "$1" in
  resume|thaw)
    killall wpa_supplicant
    ;;
esac

Not really ideal, but it saves a bit of typing at each resume.

Kevin Lyda (lyda) wrote :

Hm... http://ubuntuforums.org/showthread.php?t=2182058&p=12824696#post12824696

That indicates a different solution might work - replace "killall wpa_supplicant" above with "nmcli nm sleep false". I haven't tried it but it might work. And it might help Ubuntu devs towards a solution.

Wolf Geldmacher (wolf-womaro) wrote :

Same issue here on a X301 - The only way to revive the card is to "nmcli nm sleep false" as suggested above.
- rmmod/insmod of iwl modules does not help
- rfkill always reports power on; toggeling rfkill off/on does not solve the issue.

ippsatsi (laz133) wrote :

http://ubuntuforums.org/showthread.php?t=2218043&p=13000035#post13000035

This post fix it for me.
ubuntu 14.04.
Killing wpa_supplicant resolves the issue.

Ian Ozsvald (ian-x88) wrote :
Download full text (5.4 KiB)

I'll mirror the above reports, I'm using a Intel Corporation Centrino Advanced-N 6205 on Linux Mint 17 (Ubuntu 14.04 Trusty), I recently upgraded from 12.04 Linux Mint 16 (Ubuntu 13.04 Saucy) using a complete clean reinstall and now the problem manifests.

On Mint 16 (13.04) I had *no* wifi problems in my office (I've been here for 6 months). Since reinstalling 11 days ago with Mint 17 (14.04) in the office (with a BTHub) I'm kicked off of wifi every 5-15 minutes, at home (on a Virgin Wifi device) I have no connection problems. I believe the problem is a combination of 14.04 and the BTHubs here in the office (we have two, different SSIDs, I could use them both before, now both exhibit the same kick-me-off behaviour).

Currently I solve the problem using "sudo pkill wpa_supplicant" as discovered in this thread. This takes me back online, it feels very much like the same behaviour shown in this thread with 14.04 and for #1294044. Before discovering this bug report I was using the widget in the notification bar to disable and then enable the wireless device.

Re. "it tooks me ages to find this page" as others have noted - I've been hunting around with log messages for 11 days before I found this bug report, nothing else I found got me even close to a useful diagnosis.

$ uname -a
Linux ian-Latitude-E6420 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

$ lspci
...
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

I have the latest firmware for the 6205 (verifying against Intel's site: http://www.intel.com/support/wireless/wlan/sb/CS-034398.htm)
$ sudo lshw -C network
  *-network
       description: Ethernet interface
       product: 82579LM Gigabit Network Connection
       vendor: Intel Corporation
       physical id: 19
       bus info: pci@0000:00:19.0
       logical name: eth0
       version: 04
       serial: 5c:26:0a:61:e2:24
       capacity: 1Gbit/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=e1000e driverversion=2.3.2-k firmware=0.13-3 latency=0 link=no multicast=yes port=twisted pair
       resources: irq:43 memory:e6700000-e671ffff memory:e6780000-e6780fff ioport:5040(size=32)
  *-network
       description: Wireless interface
       product: Centrino Advanced-N 6205 [Taylor Peak]
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 34
       serial: a0:88:b4:65:ed:7c
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwlwifi driverversion=3.13.0-24-generic firmware=18.168.6.1 ip=192.168.1.65 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
       resources: irq:45 memory:e6600000-e6601fff

A typical dmesg (from when the problem first starts to the wifi being offline):
[22291.312726] wlan0: deauthenticated from 00:81:d8:64:33:4a (Reason: 6)
[22291.34...

Read more...

Stephan Diestelhorst (syon) wrote :

Same problem on a Ku buntu 14.04 system, as well.

Milton (miltonlaufer) wrote :

Same problem here, Ubuntu 14.04, fresh install on a new Lenovo Y50.

This was the only workaround that helped me. I don't know if some of these lines are unnecessary, but only using all of them it works.

#!/bin/sh

case "${1}" in
 resume|thaw)
 nmcli nm sleep false
 modprobe -rv iwldvm iwlwifi
 modprobe -v iwlwifi
 modprobe -v iwldvm
 killall wpa_supplicant
 dhclient -r wlan0
  dhclient wlan0
 nmcli nm sleep false
  ;;
esac

Milton (miltonlaufer) wrote :

Sorry, I was wrong: I still don't know how to fix it really. Some time after resuming, the connections comes back, but I don't know exactly why.

Milton (miltonlaufer) wrote :

Ok, a follow up:
An important thing is that my Wireless adapter is: " Network controller: Intel Corporation Wireless 7260 (rev 83)"

So, my first comment (#13) comment had a problem, as I had tried so many things that I one solution step on the other. The unnecesary modprobe lines were product of a line that I had added to /etc/pm/config.d/modules

SUSPEND_MODULES="$SUSPEND_MODULES iwldvm iwlwifi"

Now, I commented that line (#.... ) and I added in my /etc/modprobe.d/iwlwifi.conf:

options iwlwifi 11n_disable=1

Lastly, the script in /etc/pm/sleep.d/ (in my case it's named: /etc/pm/sleep.d/nm-prob ) now looks like this:

#!/bin/sh

case "${1}" in
 resume|thaw)
 nmcli nm sleep false
 #modprobe -rv iwldvm iwlwifi
 #modprobe -v iwlwifi
 #modprobe -v iwldvm
 killall wpa_supplicant
 dhclient -r wlan0
  dhclient wlan0
 nmcli nm sleep false
  #restart network-manager
  ;;
esac

After TWO days I can confirm that these changes solved both the problem after suspend as the unstable connection problem.

Hope it helps

Ian Ozsvald (ian-x88) wrote :

In reference to Milton's comments (and thanks for the follow-ups) - my problems (listed in #11) are *not* related to a post-suspend loss of wifi. My problems happen consistently on a fresh boot.

Frankly my E6420 can be 'wobbly' after suspend (it has been since 10.10) so I rarely suspend (it can fail to restart wifi, sometimes it refuses to wake at all, sometimes it works fine but won't shutdown - I've no idea what causes this instability). For the time being I'm using a 2nd wifi device (a EW-7811Un 802.11n Wireless Adapter [Realtek RTL8188CUS]) whilst in the office to avoid the loss of wifi problem.

william (william-iraheta) wrote :

I did the Sudo gedit /etc/pm/config.d/config and added the line: SUSPEND_MODULES="iwilwifi" but used my wireless driver card instead of the "iwilwifi" to fix this issue. I am running Cinnamon in ubuntu 14.04 though. Hope you resolved your issue by now.

Ohadcn (ohadcn) wrote :

had similar problem
killing wpa_suplicant works for me too.

tiarnan (lejospopo) wrote :

i have this problem but every now and again no amount of killing wpa_supplicant will fix it

Keith Finnie (keith-finnie) wrote :

I have had the same problem since upgrading to 14.04 with my Toshiba Satellite A210 with RTL8187B wireless.

The instructions in comment #10 work for me. For simplicity here is the link provided in that comment:

http://ubuntuforums.org/showthread.php?t=2218043&p=13000035#post13000035

Iwan van Staveren (iwan) wrote :

Same problem on 15.04 on Toshiba T430.

gubbins (dave-gittins) wrote :

I am running Xubuntu 14.04 and since the upgrade I am also experiencing wifi disconnected after resume. It's an Intel 7260 chip.

A few comments that might help:

 - I did add iwlwifi to SUSPEND_MODULES which made no difference

 - nmcli nm responds with "Object 'nm' is unknown"... is that because I am running xfce rather than Unity?

 - sudo killall wpa_supplicant seems to force a search and reconnect, which is successful...

 - so, I added the latter to a sleep.d script, but then found that (again since the 14.04 upgrade) none of those scripts are being executed on resume! I think maybe that's a separate issue, see https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/1455097

gubbins (dave-gittins) wrote :

Sorry I meant to say that this affected me since upgrading to Xubuntu 15.04 (not 14.04).

vedavata (vedavrata) wrote :

I had the same problem.
And I tries several fixes.
Something helped me (it seems)...

Symptoms:
"""
 # ifup wlan0
interface wlan0 not configured
"""
 # lshw -C network
[...]
*-network DISABLED
       description: Wireless interface
"""

Probably this resoled the issue:

 # gksu gedit /etc/pm/config.d/unload_modules
SUSPEND_MODULES="$SUSPEND_MODULES iwlwifi"

{by http://www.webupd8.org/2013/01/fix-wireless-or-wired-network-not.html ...}

I will monitor...

Terri Yu (terriyu) wrote :

A while back, my wifi connection kept dropping. I had to keep re-booting Ubuntu 14.04 to try and get my wifi connection back. I have a Lenovo Thinkpad X220T laptop with Intel Centrino Advanced-N 6205 wifi card. I'm using a WPA2 connection.

I tried disabling the N mode of the wifi card, as detailed in this link: http://askubuntu.com/questions/457729/ubuntu-14-04-wireless-constantly-disconnects

I also tried killing wpa_supplicant as detailed here in this bug report.

Eventually, I upgraded my Linux kernel from 3.13 to 3.16 (the v3.16 kernel is available on Ubuntu 14.04.2) and that mostly fixed my wifi issues. I've upgraded to the 3.19 kernel this week and my wifi seems to be working on this kernel as well.

Reference: see my report on Ubuntu forums -- http://ubuntuforums.org/showthread.php?t=2275184

Nur (n-alwani-me) wrote :

I have the same problem with Ubuntu 14.04 on Dell. Didn't have it with 12.04.
I tried a lot of things too with no luck.
sudo killall wpa_supplicant after each resume seems to fix it too.

Nur (n-alwani-me) wrote :

killall wpa_supplicant used to fix it, then after some update it's lost its affect.

Installing fglrx fixed it though:

    sudo apt-get install fglrx

zah (zaharid) wrote :

I have an iwlwifi-7260 intel card and I started experiencing this bug after upgrading to the kernel 4.2 from 3.19. It happens both with ucodes 13 and 15 (the ones allowed for 4.2). Killink wpa_supplicant fixes the problem for me as well.

Download full text (6.2 KiB)

I have a iwlwifi-3160 card, kernel 4.2.6 on Debian Jessie. I am using iwlwifi-3160-15.ucode.
Unfortunately, killing wpa_supplicant does not work.

$ dmesg
....
[ 2760.510825] wlan0: authenticate with e8:04:62:22:0d:fc
[ 2760.513750] wlan0: send auth to e8:04:62:22:0d:fc (try 1/3)
[ 2760.515343] wlan0: authenticated
[ 2760.517340] wlan0: associate with e8:04:62:22:0d:fc (try 1/3)
[ 2760.520482] wlan0: RX AssocResp from e8:04:62:22:0d:fc (capab=0x11 status=0 aid=7)
[ 2760.521811] wlan0: associated
[ 2760.523836] cfg80211: Regulatory domain changed to country: IT
[ 2760.523839] cfg80211: DFS Master region: ETSI
[ 2760.523840] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 2760.523842] cfg80211: (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 2760.523843] cfg80211: (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (N/A)
[ 2760.523844] cfg80211: (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[ 2760.523845] cfg80211: (5490000 KHz - 5710000 KHz @ 160000 KHz), (N/A, 2700 mBm), (0 s)
[ 2760.523847] cfg80211: (57000000 KHz - 66000000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[ 2760.594729] wlan0: Limiting TX power to 23 (23 - 0) dBm as advertised by e8:04:62:22:0d:fc
[ 2762.559116] wlan0: deauthenticating from e8:04:62:22:0d:fc by local choice (Reason: 3=DEAUTH_LEAVING)
[ 2762.572531] cfg80211: World regulatory domain updated:
[ 2762.572536] cfg80211: DFS Master region: unset
[ 2762.572538] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 2762.572542] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 2762.572544] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 2762.572547] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[ 2762.572549] cfg80211: (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (N/A)
[ 2762.572552] cfg80211: (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[ 2762.572555] cfg80211: (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[ 2762.572557] cfg80211: (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[ 2762.572559] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[ 2785.544375] wlan0: authenticate with e8:04:62:22:0d:fc
[ 2785.547186] wlan0: send auth to e8:04:62:22:0d:fc (try 1/3)
[ 2785.548746] wlan0: authenticated
[ 2785.549531] wlan0: associate with e8:04:62:22:0d:fc (try 1/3)
[ 2785.653647] wlan0: associate with e8:04:62:22:0d:fc (try 2/3)
[ 2785.757736] wlan0: associate with e8:04:62:22:0d:fc (try 3/3)
[ 2785.861851] wlan0: association with e8:04:62:22:0d:fc timed out
[ 2795.990093] wlan0: authenticate with e8:04:62:22:0d:f3
[ 2795.992596] wlan0: send auth to e8:04:62:22:0d:f3 (try 1/3)
[ 2795.993970] wlan0: authenticated
[ 2795.997986] wlan0: associate with e8:04:62:22:0d:f3 (try 1/3)
[ 2796.102072] wlan0: associate with e8:04:62:22:0d:f3 (try 2/3)
[ 2796.206172] wlan0: associate with e8:04:62:22:0d:f3 (try 3/3)
[ 2796.310215] wlan0: assoc...

Read more...

Rob Timmer (timmer-rj) wrote :

Same issue here on HP Pavilion dv7 on fresh 14.04LTS install

Zisu Andrei (matzipan) wrote :

Hello everyone.

I had a similar issue on elementary OS freya when coming out of suspend with Intel Wireless-N 7260.

I could patch it with "nmcli nm sleep false" , however, it seems like uninstalling laptop-mode-tools fixed it definitively.

Also, this fixed another issue: after I issues a suspend command, it took 10-20 seconds until the laptop actually turned off. Now it turns off instantly.

Ciprian Tomoiaga (cipri.tom) wrote :

Thank you, @matzipan.
I also had this problem since upgrading to kernel 4.4 on linux mint 17.3 (ubuntu 14.04.03 derivative).
Removing `laptop-mode-tools` fixed it instantly for me, as well.

Good luck!

jrda (jrda) wrote :

no laptop-mode-tools installed here on Ubuntu:
Paket »laptop-mode-tools« ist nicht installiert, wird also auch nicht entfernt.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions